Bug 33550 - SVG import/render does not handle marker
Summary: SVG import/render does not handle marker
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Open
  Show dependency treegraph
 
Reported: 2011-01-26 13:36 UTC by Carl Michal
Modified: 2018-06-17 10:45 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
inkscape svg file that imports poorly (14.30 KB, image/svg+xml)
2011-01-26 13:36 UTC, Carl Michal
Details
Bug 33550 - arrows.svg - 4.2 master build (9.79 KB, image/jpeg)
2013-07-26 12:06 UTC, bfoman (inactive)
Details
screenshot for attachment 42559 (6.82 KB, image/png)
2013-09-20 20:36 UTC, Christina Rossmanith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carl Michal 2011-01-26 13:36:42 UTC
Created attachment 42559 [details]
inkscape svg file that imports poorly

I've attached an svg file that includes a number of arrows.  The file was created in inkscape.  When imported into libreoffice (either with "Open" into draw, or "inserted" into impress) the heads of the arrows end up in the wrong places.  They should be on the lines, but they end up sitting on top of each other in the upper left corner.

The svg import is a terrific feature!
Comment 1 Kurosawa Takeshi 2011-01-26 19:29:56 UTC
The problem can be divide into two parts.

1. any shapes in a <defs> element are visible (which shouldn't)
2. marker is not supported.

As a result, markers are positioned wrong (absolute position of the viewport).
Comment 2 Noel Power 2011-01-27 04:24:02 UTC
confirmed, svg -> thorsten
Comment 3 kanyi 2011-04-21 01:26:29 UTC
(In reply to comment #0)
> Created an attachment (id=42559) [details]
> inkscape svg file that imports poorly
> 
> I've attached an svg file that includes a number of arrows.  The file was
> created in inkscape.  When imported into libreoffice (either with "Open" into
> draw, or "inserted" into impress) the heads of the arrows end up in the wrong
> places.  They should be on the lines, but they end up sitting on top of each
> other in the upper left corner.
> 
> The svg import is a terrific feature!
Comment 4 kanyi 2011-04-21 01:29:11 UTC
Here the same problem.
I can't show correctly a molecule structure in Draw. The characters are in wrong place. I created the .svg with BKchem.

(In reply to comment #3)
> (In reply to comment #0)
> > Created an attachment (id=42559) [details] [details]
> > inkscape svg file that imports poorly
> > 
> > I've attached an svg file that includes a number of arrows.  The file was
> > created in inkscape.  When imported into libreoffice (either with "Open" into
> > draw, or "inserted" into impress) the heads of the arrows end up in the wrong
> > places.  They should be on the lines, but they end up sitting on top of each
> > other in the upper left corner.
> > 
> > The svg import is a terrific feature!
Comment 5 tester8 2012-01-01 12:27:29 UTC
LOdev 3.5.0beta2 
4ca392c-760cc4d-f39cf3d-1b2857e-60db978
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

Impress, Writer - opens normally.
Draw - heads of the arrows are gone.
Comment 6 bfoman (inactive) 2013-07-26 12:06:03 UTC
Created attachment 83032 [details]
Bug 33550 - arrows.svg - 4.2 master build

Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

File arrows.svg inserted in Writer - pretty much nothing imported (just bottom curve) as on attached screenshot. The same is when inserted in Draw and Impress.
Comment 7 Thorsten Behrens (CIB) 2013-09-12 16:14:57 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 8 Christina Rossmanith 2013-09-20 20:36:16 UTC
Created attachment 86225 [details]
screenshot for attachment 42559 [details]

File is displayed correctly if inserted via Insert->picture->From File

Version: 4.2.0.0.alpha0+
Build ID: f4d3954fc6106b3ae0ee16ab0fcde15d8cb945e3
Linux (Ubuntu)
Comment 9 QA Administrators 2015-04-01 14:41:18 UTC Comment hidden (obsolete)
Comment 10 Carl Michal 2015-04-02 20:41:09 UTC
Tested with 4.4.1.2 on linux. The arrowheads no longer all appear in a pile at the origin - they now don't appear at all.

So of the two pieces of the bug Kurosawa Takeshi divided this into in Comment 1, the first piece is fixed, but the second piece - which from the user point of view is the more important - isn't.
Comment 11 A (Andy) 2015-04-05 12:13:06 UTC
Reproducible with LO 4.4.1.2 (Win 8.1): no arows at all visible
Comment 12 Jouni Järvinen 2016-11-13 23:15:51 UTC
Repro Window$ 7 Ultimate SP1 x64 and LO 5.2.2.2 x64 the horizontal lines and the outer shell are there, but the arrow tips themselves are gone.
Comment 13 eisa01 2017-10-20 22:27:47 UTC
If I use File -> Open the file is not correct, the arrowheads are not shown in Draw

If I drag the file into the Draw window, the arrowheads show correctly

So partly still present

Version: 6.0.0.0.alpha1+
Build ID: 15dce20e8b97dbd0179f01910ca4d0027e80ff4e
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-10-20_06:46:46
Locale: en-US (en_US.UTF-8); Calc: group
Comment 14 Roman Kuznetsov 2018-06-16 13:22:58 UTC
(In reply to eisa01 from comment #13)
> If I use File -> Open the file is not correct, the arrowheads are not shown
> in Draw
> 

yes for 6.0.4.2

> If I drag the file into the Draw window, the arrowheads show correctly

and if you use menu Insert->Image, then SVG will be import correctly, 
but then need select menu Modify->Break that allows select different elements
Comment 15 Roman Kuznetsov 2018-06-17 10:45:24 UTC
(In reply to eisa01 from comment #13)
> If I use File -> Open the file is not correct, the arrowheads are not shown
> in Draw

this was fixed in 

Version: 6.1.0.0.beta2+ (x64)
Build ID: fe1a23b5c49c94410a604c8d4a6f50f43d575403
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-1, Time: 2018-06-17_06:31:41
Locale: ru-RU (ru_RU); Calc: CL

> If I drag the file into the Draw window, the arrowheads show correctly
> 

yes

> So partly still present

Full fixed in 6.1 beta 2

Status -> WFM